package com.yihu.jw.entity.base.sync;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/5/25
 */
@Entity
@Table(name = "wlyy_data_sync")
public class BaseSyncDataDO extends UuidIdentityEntityWithOperator implements java.io.Serializable {


    @Column(name = "style")
    private Integer style;//同步方式 1：手动同步 2:自动同步
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "complete_time")
    private Date completeTime; //完成时间
    @Column(name = "sync_result")
    private String syncResult;//同步结果

    public Integer getStyle() {
        return style;
    }

    public void setStyle(Integer style) {
        this.style = style;
    }

    public Date getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(Date completeTime) {
        this.completeTime = completeTime;
    }

    public String getSyncResult() {
        return syncResult;
    }

    public void setSyncResult(String syncResult) {
        this.syncResult = syncResult;
    }
}
